import { ChartObject } from "fusioncharts";
import { ReactWidgetPM } from "../../../../types/widget";
import { ChartInfo } from "./FusionChartObjectHelper";
export declare class FusionChartHelper {
    private chart;
    private widget;
    private pieRadius;
    private legendWidth;
    constructor(widget: ReactWidgetPM, chart: ChartObject);
    getPieRadius(): number;
    getLegendWidth(): string;
    trimChartLabels(chartWidth: number, chartHeight: number): void;
    handlePieRadius(chartHeight: number, chartInfo: ChartInfo): void;
    handleLegendWidth(chartWidth: number, chartHeight: number, chartInfo: ChartInfo): void;
}
