import { Layout } from "react-grid-layout";
import { ReactWidgetMeasurePM } from "./ReactWidgetMeasurePM";
export declare type ReactWidgetPM = {
    Id: string;
    Tenant: number;
    Title: string;
    TypeCode: string;
    GroupById?: string;
    DashboardId: string;
    StartPotistion: string;
    EndPosition: string;
    Filters?: string;
    Layout?: Layout;
    key?: any;
    EntityId: string;
    WidgetMeasures?: ReactWidgetMeasurePM[];
    ChangeSetOp?: string;
    DateGroupCode?: string;
    SortDirection?: string;
    SortBy?: number;
    MaximumGrouping?: number;
    TimeOverTime?: boolean;
    ComparisonPeriod?: number;
    Increase?: string;
    ComparisonOperator?: string;
    ComparisonDateGroup?: string;
    FromDate?: Date;
    ToDate?: Date;
    GlobalFilters?: string;
    SecondaryGroupById?: string;
    SecondaryDateGroupCode?: string;
    Alighnment?: string;
    ThousandSeparator?: boolean;
    UseNumberAbbreviation?: boolean;
    UseAbbreviationAfter?: string;
    DecimalPlaces?: number;
    LabelsPosition?: string;
    LegendPosition?: string;
    IsStacked?: boolean;
    ComparisonDateField?: string;
    ShowXAxisTitle: boolean;
    ShowYAxisTitle: boolean;
    XAxisTitle?: string;
    YAxisTitle?: string;
    XAxisLabelsDisplay?: string;
    XAxisLabelsFontSize?: number;
    Subtitle?: string;
    TitleFontSize?: number;
    SubtitleFontSize?: number;
    TitleAlignment?: string;
    TitleFontColor?: string;
    SubtitleFontColor?: string;
    ShowLegend?: boolean;
    ValuePosition?: string;
    ShowValue?: boolean;
};
