import React from "react";
import { DashboardDataBinding } from "../../../../types/DashboardDataBinding";
import { DataPointSelection } from "../../../../types/SeriesMeasure";
import { ReactWidgetPM } from "../../../../types/widget";
export declare type CustomChartProps = {
    widget: ReactWidgetPM | undefined;
    widgetRef: ReactWidgetPM | undefined;
    dataBinding: DashboardDataBinding;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const CustomChart: (props: CustomChartProps) => React.JSX.Element;
export default CustomChart;
