export interface ChartInfo {
    theme: string;
    scrollHeight: string;
    scrollWidth: string;
    scrollPadding: string;
    flatScrollBars: string;
    enableSlicing: string;
    chartLeftMargin: string;
    chartTopMargin: string;
    chartRightMargin: string;
    chartBottomMargin: string;
    baseFont: string;
    baseFontSize: string;
    showPercentValues: string;
    showValues: string;
    showLegend: string;
    lineColor: string;
    divLineDashed: string;
    divLineDashLen: string;
    divLineDashGap: string;
    divLineColor: string;
    divLineThickness: string;
    divLineAlpha: string;
    enableRotation: string;
    legendItemFont: string;
    legendItemFontSize: string;
    legendCaptionFont: string;
    legendCaptionFontSize: string;
    labelFont: string;
    labelFontSize: string;
    toolTipBorderColor: string;
    toolTipBgAlpha: string;
    showToolTipShadow: string;
    toolTipBgColor: string;
    plottooltext: string;
    anchorradius: string;
    canvasBottomPadding: string;
    canvasTopPadding: string;
    labelDisplay: string;
    slantLabel: string;
    manageLabelOverflow: string;
    useEllipsesWhenOverflow: string;
    enableSmartLabels: string;
    pieRadius: string;
    doughnutRadius: string;
    baseFontColor: string;
    legendCaptionFontColor: string;
    labelFontColor: string;
    plotColorinTooltip: string;
    showLabels: string;
    legendPosition: string;
    legendScrollBgColor: string;
    legendIconScale: number;
    scrollShowButtons: string;
    legendCaptionAlignment: string;
    legendWidth: string;
    alignLegendWithCanvas: string;
    centerLabelBold: string;
    showSecondaryLimits: string;
    showDivLineSecondaryValue: string;
    pYAxisName: string;
    sYAxisname: string;
    sYAxisNameFont: string;
    sYAxisNameFontColor: string;
    sYAxisNameFontSize: string;
    pYAxisNameFont: string;
    pYAxisNameFontColor: string;
    pYAxisNameFontSize: string;
    sYAxisNameBorderPadding: number;
    pYAxisNameBorderPadding: number;
    xAxisNameFont: string;
    xAxisName: string;
    xAxisNameFontSize: string;
    xAxisNameFontColor: string;
    yAxisNameFont: string;
    yAxisNameFontSize: string;
    yAxisNameFontColor: string;
    yAxisName: string;
    adjustDiv: string;
    placeValuesInside: string;
    valuePosition: string;
    minPlotHeightForValue: string;
    minAngleForValue: string;
}
export declare function getSeriesPositionColor(position: number): string | null;
export declare function getSeriesHoverPositionColor(position: number): string | null;
