import React from "react";
import { DataPointSelection } from "../../types/SeriesMeasure";
import { ReactWidgetPM } from "../../types/widget";
import { DashboardDataBinding } from '../../types/DashboardDataBinding';
declare type WidgetCardProps = {
    editBtnClicked(widget: any): any;
    copyBtnClicked?(id: any): any;
    deleteBtnClicked(i: any): any;
    widget: ReactWidgetPM | undefined;
    widgetRef: ReactWidgetPM | undefined;
    el: any;
    dateFilter: any;
    dataBinding: DashboardDataBinding;
    isInEditMode: boolean;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const WidgetCard: React.ForwardRefExoticComponent<WidgetCardProps & React.RefAttributes<unknown>>;
export default WidgetCard;
