import { BehaviorSubject, Subject } from "rxjs";
import { ReactWidgetPM } from "./widget";
import { DeleteWidgetProps } from "../features/Dashboard/DashboardDesigner";
export declare type DashboardDataBinding = {
    onGetLayouts: BehaviorSubject<{
        lg: ReactWidgetPM[];
    }>;
    isOnEditLayout: Subject<boolean>;
    widgetUpdated: Subject<ReactWidgetPM>;
    onAddWidget: Subject<ReactWidgetPM>;
    onEditWidget: Subject<ReactWidgetPM>;
    onDeleteWidgetConfirmed: Subject<DeleteWidgetProps>;
};
