import { ReactWidgetPM } from './widget';
export declare type SeriesMeasure = {
    MeasureFieldId: string;
    MeasureCode: string;
    Formula: string;
    Values: SeriesMeasureValue[];
    Name: string;
    PlotasLineChart?: boolean;
    PlotonSecondAxis?: boolean;
};
export declare type SeriesMeasureValue = {
    Value: number;
    Label: string;
    GroupById: string;
    LabelSec: string;
    GroupByIdSec: string;
};
export declare type DataPointSelection = {
    GroupById?: string;
    MeasureFieldId?: string;
    MeasureCode?: string;
    Formula?: string;
    Widget?: ReactWidgetPM;
    GroupByIdSec?: string;
};
